---
apiVersion: v1
kind: Template
metadata:
  annotations:
    description: "${DESC}"
  labels:
    product: "${PRODUCT_NAME}"
    app: "${SERVICE_NAME}"
  name: "${SERVICE_NAME}-${IMPL_NAME}"
objects:
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    name: "${SERVICE_NAME}-${IMPL_NAME}"
    labels:
      product: "${PRODUCT_NAME}"
      app: "${SERVICE_NAME}"
      impl: "${IMPL_NAME}"
  spec:
    replicas: '1'
    template:
      metadata:
        labels:
          product: "${PRODUCT_NAME}"
          app: "${SERVICE_NAME}"
          impl: "${IMPL_NAME}"
      spec:
        containers:
        - name: "${SERVICE_NAME}-${IMPL_NAME}"
          image: "${IMAGE_NAME}"
          ports:
          - name: web
            containerPort: ${PORT}
            protocol: TCP
          env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          resources:
            limits:
              cpu: 300m
              memory: 512Mi
            requests:
              cpu: 50m
              memory: 256Mi
        serviceAccount: catalogmanager
        serviceAccountName: catalogmanager
- kind: Service
  apiVersion: v1
  metadata:
    name: "${SERVICE_NAME}"
    labels:
      product: "${PRODUCT_NAME}"
      app: "${SERVICE_NAME}"
      expose: true
  spec:
    ports:
    - protocol: TCP
      port: 80
      targetPort: ${PORT}
    selector:
      product: "${PRODUCT_NAME}"
      app: "${SERVICE_NAME}"
    type: ClusterIP
    sessionAffinity: None